package com.p3.bewoplaner.page.mvp;

import android.support.annotation.StringRes;

/**
 * Created by imarneanu on 2/9/17.
 */
public interface MVPLceView extends MVPView {

    /**
     * Display a loading indicator.
     */
    void showLoading();

    /**
     * Show the content view.
     */
    void showContent();

    /**
     * Show the error view.
     *
     * @param messageRes The error string resource to be displayed
     */
    void showError(@StringRes int messageRes);

    /**
     * Show the error view.
     *
     * @param message The error string to be displayed
     */
    void showError(String message);

}